#ifndef _FE_INTERFACE_DEFINITIONS_
	#define _FE_INTERFACE_DEFINITIONS_
	#define MAX_STR 255
        #define DIVERSITY_MODE 1
        #define DUAL_CHANNEL_MODE 2
        #define DUAL_CHANNEL_MODE_OFF 0
        #define DIVERSITY_INTERNAL_ADD_MODE 3

        #define MSD_CLUSTER_SIZE 512
        #define HID_COMMAND_MAX_SIZE 7
    #define AFEDRI8201_MAIN_CLOCK 66.00e6
    #define TRANSVERTER_MODE_LIMIT  1200000000
    #define NCO_MULTIPLIER 4294967296.00
//    #define NCO_CHANNEL1 0
//    #define NCO_CHANNEL2 2
        #define HID_MEMORY_READ_WRITE_REPORT 1
	#define HID_FREQUENCY_REPORT 3
	#define HID_GENERIC_REPORT 2
	#define HID_GENERIC_GAIN_COMMAND 2 
	#define HID_GENERIC_INIT_FE_COMMAND 0xE1
	#define HID_GENERIC_GET_FREQ_COMMAND 1
	#define HID_GENERIC_GET_INIT_STATUS_COMMAND 4
	#define HID_GENERIC_DAC_COMMAND 8 
        #define HID_GENERIC_VER_COMMAND 9
        #define HID_GENERIC_CONSOLE_IO_COMMAND 10
        #define HID_GENERIC_HID_CONSOLE_ON 11
        #define HID_READ_EEPROM_COMMAND 0x55
        #define HID_WRITE_EEPROM_COMMAND 0x56
        #define HID_GENERIC_SAVE_DEFAULT_PARAMS_COMMAND 12
        #define HID_GENERIC_GET_SR_COMMAND 14
        #define HID_GENERIC_GET_DIVERSITY_MODE 15

        #define HID_GENERIC_GET_SDR_IP_ADDRESS 16
        #define HID_GENERIC_GET_SDR_IP_MASK 17
        #define HID_GENERIC_GET_GATEWAY_IP_ADDRESS 18
        #define HID_GENERIC_GET_DST_IP_ADDRESS 19
        #define HID_GENERIC_GET_DST_PORT 20

        #define HID_GENERIC_SAVE_SDR_IP_ADDRESS 21
        #define HID_GENERIC_SAVE_SDR_IP_MASK 22
        #define HID_GENERIC_SAVE_GATEWAY_IP_ADDRESS 23
        #define HID_GENERIC_SAVE_DST_IP_ADDRESS 24
        #define HID_GENERIC_SAVE_DST_PORT 25
        #define HID_GENERIC_START_UDP_STREAM_COMMAND 26
        #define HID_GENERIC_OVERLAOD_STATE 27
        #define HID_GENERIC_ACK 28
        #define HID_GENERIC_GET_SERIAL_NUMBER_COMMAND 29
        #define HID_GENERIC_SET_SAMPLE_RATE_COMMAND 30
        #define HID_GENERIC_SET_VCO_COMMAND 31
        #define HID_GENERIC_GET_VCO_COMMAND 32
        #define HID_GENERIC_SAVE_GAIN_TABLE_COMMAND 33
        #define HID_GENERIC_GET_GAIN_TABLE_COMMAND 34
        #define HID_GENERIC_SET_BPF_COMMAND 35
        #define HID_GENERIC_SYNC_WORD_COMMAND 36
        #define HID_GENERIC_HW_CPLD_SN_COMMAND 37
        #define HID_GENERIC_IAP_COMMAND 38
        #define HID_GENERIC_WRITE_HWORD_TO_FLASH 39
        #define HID_GENERIC_BROADCAST_COMMAND 40
        #define HID_GENERIC_GET_BROADCAST_STATE_COMMAND 41
        #define HID_GENERIC_BYPASS_LPF_COMMAND 42
        #define HID_GENERIC_GET_BYPASS_LPF_COMMAND 43
        #define HID_GENERIC_SET_MULTICHANNEL_COMMAND 48
        #define HID_GENERIC_MULTICAST_COMMAND 49
        #define HID_GENERIC_SET_AFEDRI_ID_COMMAND 50
        #define HID_GENERIC_GET_AFEDRI_ID_COMMAND 51
        #define HID_GENERIC_SAVE_AFEDRI_ID_COMMAND 52
        #define HID_GENERIC_SOFT_RESET_COMMAND 53
        #define HID_GENERIC_GET_DHCP_STATE_COMMAND 54
        #define HID_GENERIC_SET_DHCP_STATE_COMMAND 55
        #define HID_GENERIC_SET_PHASE_SHIFT_COMMAND 56
        #define HID_GENERIC_HW_CPLD2_SN_COMMAND 57
        #define HID_GENERIC_I2C_SEND_COMMAND 58
        #define HID_GENERIC_I2C_READ_COMMAND 59
        #define HID_GENERIC_I2C_START_COND_COMMAND 60
        #define HID_GENERIC_I2C_STOP_COND_COMMAND 61
        #define HID_GENERIC_MULT_WRITE_JTAG_COMMAND 62
        #define HID_GENERIC_GET_MAXIMUM_SR_COMMAND 63
	#define HID_GENERIC_GET_MAIN_CLOCK_FREQ 67
  	#define HID_GENERIC_SET_USB_MODE        68

        #define TCP_HID_PACKET 0x7
        #define HID_DEVICE_VID 0x483
//	#define HID_DEVICE_PID 0x5732
        #define HID_DEVICE_PID 0x5932

        #define HID_DEVICE_ATEECS_VID 0x255D
        #define HID_DEVICE_ATEECS_PID 0x0001
        #define HID_DEVICE_SDR_NET_PID 0x0002
        #define HID_DEVICE_ATEECS_PID_6 0x0006

	extern	int GainIndex[];
	extern double GainTable[];
	extern int FE_Gain;
        extern	hid_device *fe_handle;
        extern int global_device_PID;
        extern volatile int hid_status;

//	System::String^  HID_Device_Init();
	int HID_Device_Init(char * msg);
	int HID_Device_Reconnect( char * msg);
	int HID_Read_Data( char *buf);
	int HID_Set_Frequency(unsigned long frequency);
	int HID_ChangeFE_Gain(int index);
        int HID_ChangeRF_Gain(int channel, int dac_value);
        int HID_Check_FW_Version(int value);
	int HID_Init_FE();
        int HID_Get_Frequency(int channel);
	int HID_Device_Enumerate();
        unsigned long HID_Get_Generic_Report(unsigned char *generic_command, const unsigned char *buf);
	unsigned long HID_Read_Frequency(const unsigned char *buf);
	long HID_Get_Init_Status();
        int HID_console_On(int value);
        int HID_Send_console_char(int value);
        int HID_Get_EEPROM_Data(unsigned char VirtAddress);
        int HID_Get_Main_Clock_Frequency();
        int HID_Send_Main_Clock_Frequency(unsigned long main_frequency);
        int HID_Send_EEPROM_Data(unsigned char VirtAddress, unsigned short eeprom_data);
        int HID_Send_defaults_to_EEPROM();
        double RF_Gain_Int_2_Double(int value);
        int RF_Gain_Calc(int value);

        int RF_Gain_IntDb_2_Int(int gain);
        int HID_Get_Sample_Rate();
        int HID_Send_Sample_Rate(unsigned long SampleRate);
        int HID_Get_Diversity_Mode();
        int HID_Send_Diversity_Mode(short mode);
        int HID_Send_Diversity_Sample_Rate(unsigned long SampleRate);
        int HID_Get_SDR_IP_Address();
        int HID_Get_SDR_IP_Mask();
        int HID_Get_Gateway_IP_Address();
        int HID_Get_DST_IP_Address();
        int HID_Get_UDP_Port();
        int HID_Get_Serial_Number();
        int HID_Send_Generic_Command_No_Param(unsigned char command);
        int HID_Set_New_Sample_Rate(unsigned long SampleRate);

        int HID_Save_SDR_IP_Address(const unsigned long ip_address);
        int HID_Save_SDR_IP_Mask(const unsigned long ip_mask);
        int HID_Save_Gateway_IP_Address(const unsigned long ip_address);
        int HID_Save_DST_IP_Address(const unsigned long ip_address);
        int HID_Save_UDP_Port(const unsigned long port);
        int HID_Send_Generic_Long_Data(unsigned char command, unsigned long eeprom_data);
        int HID_Start_UDP_Stream(const unsigned long command);
        int HID_Set_Broadcast_Flag(const unsigned long command);
        int HID_Get_Broadcast_Flag();
        int HID_Send_LPF_Bypass(short command);
        void hid_change_tcp_network_flag(int state);
        int hid_save_recieved_tcp_packet(char *data, int size);
        int HID_Change_VCO_voltage(int vco_value);
        int HID_Save_Default_VCO_voltage(int vco_value);
        int HID_Get_VCO_voltage();
        int HID_Save_Gain_Table(unsigned short gain_table);
        int HID_Get_Gain_Table();
        int HID_Change_BPF_Tune(unsigned short bpf_value);
        int HID_Get_Sync_State();
        int HID_Get_HW_CPLD_SN();
        int HID_Firmware_Upgrade();
        int HID_Send_To_Flash_HalfWord(unsigned short address, unsigned short data);
        int HID_Set_Multichannel_Mode(int mode);
        int HID_Set_Multicast_Flag(const unsigned long command);
        int HID_SoftReset_SDR();
        int HID_Set_ID_String(const unsigned long command);
        int HID_Save_Default_ID(const unsigned long command);
        int HID_Get_Emulation_ID();
        int HID_Set_DHCP_Server_State(int command);
        int HID_Get_DHCP_Server_State();
        int HID_Set_Phase_Shift(int phase);
        int HID_Get_CPLD2_SN();
	int HID_Close();
        int HID_Send_USB_Mode(short mode);
	int SetMSDPath(const char *p_name);
       	void MSD_Envy_Init();
	int Set_USB_Serial_number(wchar_t *serial);

        extern int  HID_COMMAND_SIZE;

#endif
//End of File
