/*********************************************************************
*	AFEDRI SDR-Net Commander utility
*	Author: Alexander Trushkin ( 4Z5LV )
*	Date: 9.10.2013
*	
*	This utility allows you to control AFEDRI SDR 
*	over USB connection.
*	So you can use this utility in command shell scripts or WebSDR
*	or in crone command   
**********************************************************************/

#ifndef _HELP_HEADER_
	char *help_text = 
	"\
	Please use next commands with AFEDRi SDR:\n\r\
	-F <frequency>\n\r\
	 : set the new central reception frequency of SDR \n\r\
		example: \n\r\
		# sdr_commander -F14100000 \n\r\
	-R   \n\r\
	 : reset SDR, this command makes soft reset of SDR \n\r\
	   example: \n\r\
		# sdr_commander -R \n\r\
	-H      \n\r\
	 : help, this command shows this help \n\r\
	   example: \n\r\
		# sdr_commander -H \n\r\
	-V      \n\r\
	 : verbose, this command shows the main AFEDRI SDR  parameters that stored in EEPROM \n\r\
	   example: \n\r\
	   # sdr_commander -V \n\r\
	-D      \n\r\
	 : save defaults, this command saves the current SDR parameters to EEPROM,  \n\r\
	   so after SDR reboot it will start by default with this parameters. \n\r\
	   The next parameters are stored in SDR's EEPROM: \n\r\
	   RF Gain, FE Gain, Central SDR frequency \n\r\
	   example: \n\r\
		# sdr_commander -D \n\r\
	-G <RF_gain>\n\r\
	 : set the new RF Gain of SDR in dB units\n\r\
		example: \n\r\
		# sdr_commander -G14 \n\r\
		where -G can be integer number from -10 (dB) to 35 (dB) \n\r\
	-I <RF_gain_index>\n\r\
	 : set the new RF Gain of SDR in indexed units\n\r\
		example: \n\r\
		# sdr_commander -I1 \n\r\
		where -I can be integer number from 0 ( -10dB gain) to 15 ( 35dB gain) \n\r\
	-E <FE_gain_index>\n\r\
	 : set the new FE Gain of SDR in indexed units\n\r\
		example: \n\r\
		# sdr_commander -E1 \n\r\
		where -E can be integer number from 0 ( x1 gain) to 6 ( x4 gain) \n\r\
	-S <sample_rate_frequency>\n\r\
	 : set the new USB sample rate  of AFEDRI SDR ,\n\r\
	   the SDR will be automatically rebooted in the end of this command\n\r\
		example: \n\r\
		# sdr_commander -S192000 \n\r\
	-U <usb_mode>\n\r\
	 : save the new USB mode\n\r\
		example: \n\r\
		# sdr_commander -U1 \n\r\
		where -U argument can be integer number  0 ( MSD mode ) or 1 ( USB mode ) \n\r\
		/*********************************************************************************/\n\r\
		The most commands excluding -S and -R can be combined in one string, see example below: \n\r\
		# sdr_commander -F14100000 -G14 -E0 \n\r\
		This command will do next: \n\r\
		  1. Sets AFEDRI's Central (LO) frequency to 14100000 Hz \n\r\
		  2. Sets AFEDRI's RF Gain to 14dB \n\r\
		  3. Sets AFEDRI's FE Gain to x1\n\r\
	-L \n\r\
	 : Print list of USB HID devices that was found on this PC \n\r\
		example: \n\r\
		# sdr_commander -L \n\r\
	-P <Path to MSD device>\n\r\
	 : set the path to AFEDRI MSD device,\n\r\
		example Windows: \n\r\
		# sdr_commander -PG:\ \n\r\
		example  Linux:\n\r\
		# sdr_commander -P/run/media/alex/disk/ \n\r\
		The commands will be executed from left to right \n\r\
	-N <usb_serial_number>\n\r\
	 : set the serial numebr of AFEDRI SDR USB device,\n\r\
		example Windows: \n\r\
		# sdr_commander -N00011234500  \n\r\
		";
#endif
//End if header
