# Please do not change this hardware control module.
# It provides support for the SDR-IQ by RfSpace.

import _quisk as QS
import os,sys
import subprocess

#sys.path.append('./afedriusb')
from ctypes import *
os.environ['PATH'] = os.path.dirname(__file__) + ';' + os.environ['PATH']
#plugin = windll.ExtIO_AFEDRI_SDR

from quisk_hardware_model import Hardware as BaseHardware

class Hardware(BaseHardware):
  def __init__(self, app, conf):
    BaseHardware.__init__(self, app, conf)
    self.local_tune = 2
    self.local_vfo = 2
    self.use_sidetone = 0
    self.clock = 80000000
    self.old_LO_freq = 0
    self.rf_gain_labels = ('RF -10','RF -7','RF -4','RF -1','+2','+5','+8','+11','+14','+17','+20','+23','+26','+29','+32','+35')
    self.app = app
#    plugin.OpenHW()		# Return a config message
    subprocess.call(["./afedriusb/sdr_commander","-V"])
  def open(self):
#   CallbackData = QS.ReturnDataCallback()
#   plugin.SetCallback(CallbackData)
#    plugin.StartHW(3600000) 
#    subprocess.call("sdr_commander -F7070000 -G14")
    RF_Gain_idx = (10 + self.conf.default_rf_gain) / 3
    self.app.BtnRfGain.SetIndex(RF_Gain_idx)
    #self.plugin.SetAttenuator(RF_Gain_idx)
#    gain_l = (RF_Gain_idx  << 3) + 1
    command = '-G%i' % self.conf.default_rf_gain

    subprocess.call(['./afedriusb/sdr_commander',command])
    return "AFEDRI"#QS.open_rx_udp(self.conf.rx_udp_ip, self.conf.rx_udp_port)
  def close(self):
    print 'Close'
#    plugin.StopHW()
#    plugin.CloseHW()
  def OnButtonRfGain(self, event):
    btn = event.GetEventObject()
    n = btn.index
    if n > -1 or n < 16 :
      command = '-I%i' % n
      subprocess.call(['./afedriusb/sdr_commander',command])
    else:
      print 'Unknown RfGain'
  def ChangeFrequency(self, tune, vfo, source='', band='', event=None):
    if self.local_vfo != vfo:
    	self.local_vfo = vfo
    	command = '-F%i' % vfo
#    print command
    	if vfo:
	        subprocess.call(['./afedriusb/sdr_commander',command])
    return tune, vfo
#  def ReturnFrequency(self):	# Return the current tuning and VFO frequency
#    LO_freq = self.local_tune#plugin.GetHWLO()
#    self.application.BtnRfGain = 5
#    if     self.old_LO_freq == LO_freq :
#	    return (None, None)		# Return LO frequency
#    else:
#	    self.old_LO_freq = LO_freq
    return (self.local_tune, self.local_vfo)		# Return LO frequency
  def GetFirmwareVersion(self):
    return 0
 